> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agents



## OpenAPI

````yaml get /api/v1/agents
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/agents:
    get:
      tags:
        - Agents
      summary: Get agents
      operationId: AiAgentController_getAllAiAgent
      parameters:
        - name: page
          required: false
          in: query
          description: The page number to return
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: The maximum number of agents to return
          schema:
            type: number
      responses:
        '200':
          description: The list of AI agents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentType'
        '500':
          description: Internal Server Error
      security:
        - basic: []
components:
  schemas:
    AgentType:
      type: object
      properties:
        id:
          type: string
          description: The id of the agent
          example: '1234567890'
          nullable: false
        name:
          type: string
          description: The name of the agent
          example: John Doe
          nullable: true
        email:
          type: string
          description: The email of the agent
          example: john.doe@example.com
          nullable: true
        language:
          type: string
          description: The language of the agent
          example: en-US
          nullable: true
        active:
          type: boolean
          description: The active status of the agent
          example: true
          nullable: true
        voiceSpeed:
          type: number
          description: The voice speed of the agent
          example: 1.5
          nullable: true
        voiceId:
          type: string
          description: The voice id of the agent
          example: '1234567890'
          nullable: true
        capabilities:
          description: The capabilities of the agent
          example:
            - capability1
            - capability2
          nullable: true
          type: array
          items:
            type: string
        jobDescriptions:
          type: string
          description: The job descriptions of the agent
          example: Job description 1
          nullable: true
        roleText:
          type: string
          description: The role text of the agent
          example: Role text 1
          nullable: true
        actions:
          description: The actions of the agent
          example:
            - id: '1234567890'
              name: Action 1
              action: action1
              parameters: {}
          nullable: true
          type: array
          items:
            type: string
        skills:
          description: The skills of the agent
          example:
            - id: '1234567890'
              name: Skill 1
              description: Description of the skill 1
              language: en-US
              active: true
          nullable: true
          type: array
          items:
            type: string
        phone:
          type: string
          description: The phone number of the agent
          example: '+1234567890'
          nullable: true
        updatedAt:
          format: date-time
          type: string
          description: The updatedAt date of the agent
          example: '2022-01-01T00:00:00.000Z'
          nullable: true
        createdAt:
          format: date-time
          type: string
          description: The createdAt date of the agent
          example: '2022-01-01T00:00:00.000Z'
          nullable: true
      required:
        - id
        - name
        - email
        - language
        - active
        - voiceSpeed
        - voiceId
        - capabilities
        - jobDescriptions
        - roleText
        - actions
        - skills
        - phone
        - updatedAt
        - createdAt
  securitySchemes:
    basic:
      type: http
      scheme: basic

````